% avw_xyz2voxel -  map xyz coordinate triple to voxel coordinates
%
% function Voxel = avw_xyz2voxel(avw,xyz)
%

% Licence:  GNU GPL, no express or implied warranties
% History:  Petr Krysl
function Voxel = avw_xyz2voxel(avw,xyz)

    Voxel =[min([max([ceil(xyz(1)/double(avw.hdr.dime.pixdim(2))), 1]),(double(avw.hdr.dime.dim(2)))]),...
            min([max([ceil(xyz(2)/double(avw.hdr.dime.pixdim(3))), 1]),(double(avw.hdr.dime.dim(3)))]),...
            min([max([ceil(xyz(3)/double(avw.hdr.dime.pixdim(4))), 1]),(double(avw.hdr.dime.dim(4)))])];
%     val = [min([max([ceil(the_xyz(1)/double(the_pixdims(1))), 1]),the_dims(1)]),...
%                        min([max([ceil(the_xyz(2)/double(the_pixdims(2))), 1]),the_dims(2)]),...
%                        min([max([ceil(the_xyz(3)/double(the_pixdims(3))), 1]),the_dims(3)])];;
end
