function newavw = pad_avw(avw,ipad,jpad,kpad,padpixel)
    % Create the data structure; need to be tweaked next
    newavw.hdr =avw.hdr;
    newavw.fileprefix =avw.fileprefix;
    newavw.img =[];
    if (length(ipad)<2),ipad = [ipad,ipad]; end
    if (length(jpad)<2),jpad = [jpad,jpad]; end
    if (length(kpad)<2),kpad = [kpad,kpad]; end
    
    % Adjust the number of pixels
    newavw.img=zeros(newavw.hdr.dime.dim(2:4)+int16([sum(ipad),sum(jpad),sum(kpad)]),'int16')+padpixel;
    [m,n,p]=size(newavw.img);
    for k=kpad(1)+1:p-kpad(2)
        newavw.img(ipad(1)+1:end-ipad(2),jpad(1)+1:end-jpad(2),k) = avw.img(:,:,k-kpad(1));
    end
    newavw.hdr.dime.dim(2:4) =int16(size(newavw.img));
    return;
end
