% function newavw = subset_avw(avw,iindexes,jindexes,kindexes)
function newavw = float_to_int16_avw(avw)
    if (isa(avw.img,'integer'))
        newavw=avw;
        return;
    end
    % Create the data structure; need to be tweaked next
    newavw.hdr =avw.hdr;
    newavw.hdr.hk.data_type(1:10)  = sprintf('%10s','int16');
    newavw.hdr.dime.datatype= int16(4);
    newavw.hdr.dime.bitpix= int16(16);
    newavw.fileprefix =avw.fileprefix;
    newavw.img =zeros(size(avw.img),'int16');
    vmax=max(max(max(avw.img)));
    vmin=min(min(min(avw.img)));
    Voxel_min =intmin('int16');
    Voxel_max =intmax('int16');
    newavw.hdr.dime.cal_max= vmax;
    newavw.hdr.dime.cal_min= vmin;
    %
    for I=1:avw.hdr.dime.dim(2)
        Slice =squeeze(avw.img(I,:,:));
        Slice = double(Slice)*(double(Voxel_max)-double(Voxel_min))/(vmax-vmin)+double(Voxel_min);
        newavw.img(I,:,:) =int16(Slice);
    end
end
