% function newavw = subset_avw(avw,iindexes,jindexes,kindexes)
function newavw = subset_avw(avw,iindexes,jindexes,kindexes)
    % Create the data structure; need to be tweaked next
    newavw.hdr =avw.hdr;
    newavw.fileprefix =avw.fileprefix;
    newavw.img =[];

    % Adjust the number of pixels
    if (isempty(iindexes))
        iindexes =1:avw.hdr.dime.dim(2);
    end
    if (isempty(jindexes))
        jindexes =1:avw.hdr.dime.dim(3);
    end
    if (isempty(kindexes))
        kindexes =1:avw.hdr.dime.dim(4);
    end
    iindexes=iindexes(find(iindexes>=1));
    iindexes=iindexes(find(iindexes<=size(avw.img,1)));
    jindexes=jindexes(find(jindexes>=1));
    jindexes=jindexes(find(jindexes<=size(avw.img,2)));
    kindexes=kindexes(find(kindexes>=1));
    kindexes=kindexes(find(kindexes<=size(avw.img,3)));
    newavw.hdr.dime.dim(2:4)=[length(iindexes),length(jindexes),length(kindexes)];
    newavw.img=avw.img(iindexes,jindexes,kindexes);
    return;
end
